{
    num: -32058,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Heartbeat",
    pp: 10,
    priority: 0,
    flags: { snatch: 1, metronome: 1 },
    onHit(target) {
      if (target.hp <= target.maxhp / 2 || target.boosts.spa >= 6 || target.maxhp === 1) {
        return false;
      }
      this.directDamage(target.maxhp / 2);
      this.boost({ spa: 12 }, target);
    },
    secondary: null,
    target: "self",
    type: "Normal",
    zMove: { effect: "heal" },
    contestType: "Cute"
}